Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000291 [Piwigo] language minor N/A 2006.02.19 22:56 2006.05.16 12:31
Reporter yannux View Status public  
Assigned To plg
Priority normal Resolution fixed Platform x86
Status closed   OS Linux
Projection none   OS Version Ubuntu Server
ETA none Fixed in Version 1.6.0RC2 Product Version 1.5.2
  Target Version Product Build
Summary 0000291: Expliciter l'encodage des caractères dans la trame HTTP
Description L'encodage des caractères du projet semble être en iso-8859-15, serai-t-il possible de mettre une ligne de php pour le spécifier afin que le navigateur utilise le bon encodage ?
header('Content-Type: text/html; charset=iso-8859-15');

:)





Steps To Reproduce
Additional Information
Tags No tags attached.
browser Mozilla
Database engine and version
PHP version 5.1
Web server Apache 2
Attached Files

- Relationships
related to 0000358closedchrisaga Accent are not correctly displayed in category listing 

-  Notes
(0000648)
plg (manager)
2006.02.20 22:42

A vrai dire, cette ligne est présente dans ma galerie personnelle. C'est le moyen le plus simple que j'ai trouvé pour forcer l'utilisation d'un encoding particulier. Mon ancien hébergeur forçait les pages en UTF-8, alors que mon entête HTML indiquait ISO-8859-1.

De ton côté, l'information présente dans l'entête HTML n'est pas suffisante ? Comment est configuré ton serveur Web du point de vue charset/encoding ?
(0000652)
yannux (reporter)
2006.02.21 09:20

Oui donc tu l'as ajouté par toi même ?
J'ai fait la même chose.
Mon serveur est en utf8, ainsi que mon poste client.

Il serait peut êtr bon de la mettre par défaut dans les scripts ?
(0000655)
nikrou (developer)
2006.02.21 21:16

Ce serait peut-être nécessaire de l'ajouter.
Ce qu'il faut savoir est que l'encodage du serveur prévaut sur celui de la page.
A propos d'encodage je serais d'avis de tout passer en utf8!
(0000958)
plg (manager)
2006.05.16 12:28

La correction du bug 0000358 a explicité l'encoding dans la réponse de la requête HTTP avec la fonction header(Content-Type...).

Pour le moment, on n'a que iso-8859-1 de possible, en français et en anglais. Le passage en utf8 sera une des tâches à réaliser pour la 1.7 à mon avis. Je proposerai le français en utf8 dans les extensions dès que la 1.6.0 sortira, car j'en aurai besoin moi-même.

- Issue History
Date Modified Username Field Change
2006.02.19 22:56 yannux New Issue
2006.02.19 22:56 yannux browser => Mozilla
2006.02.19 22:56 yannux PHP version => 5.1
2006.02.19 22:56 yannux Web server => Apache 2
2006.02.20 22:42 plg Note Added: 0000648
2006.02.20 22:42 plg Assigned To => plg
2006.02.20 22:42 plg Status new => feedback
2006.02.20 22:42 plg Category configuration => language
2006.02.20 22:42 plg version 1.5.3 => 1.5.2
2006.02.21 09:20 yannux Note Added: 0000652
2006.02.21 21:16 nikrou Note Added: 0000655
2006.05.16 12:25 plg Relationship added related to 0000358
2006.05.16 12:28 plg Note Added: 0000958
2006.05.16 12:31 plg Status feedback => closed
2006.05.16 12:31 plg Resolution open => fixed
2006.05.16 12:31 plg Fixed in Version => 1.6.0RC2
2006.05.16 12:31 plg Summary Encodage des caractères => Expliciter l'encodage des caractères dans la trame HTTP


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker